MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SocketSet Class Reference

`#include <PollGroupWinSelect.hxx>`

## Public Member Functions
| SocketSet ()
| SocketSet (SocketSet &other)
fd_set * | GetPtr ()
int | Size ()
bool | IsEmpty ()
bool | IsFull ()
int | operator[] (int index)
int | Add (int fd)
void | MoveToEnd (int index)
void | RemoveLast ()

## Detailed Description

Definition at line 39 of file PollGroupWinSelect.hxx.

## Constructor & Destructor Documentation

SocketSet::SocketSet | ( |  | ) |
| inline

Definition at line 43 of file PollGroupWinSelect.hxx.

SocketSet::SocketSet | ( | SocketSet & | other | ) |
| inline

Definition at line 44 of file PollGroupWinSelect.hxx.

## Member Function Documentation

int SocketSet::Add | ( | int | fd | ) |
| inline

Definition at line 61 of file PollGroupWinSelect.hxx.

fd_set* SocketSet::GetPtr | ( |  | ) |
| inline

Definition at line 51 of file PollGroupWinSelect.hxx.

bool SocketSet::IsEmpty | ( |  | ) |
| inline

Definition at line 53 of file PollGroupWinSelect.hxx.

bool SocketSet::IsFull | ( |  | ) |
| inline

Definition at line 54 of file PollGroupWinSelect.hxx.

void SocketSet::MoveToEnd | ( | int | index | ) |
| inline

Definition at line 67 of file PollGroupWinSelect.hxx.

int SocketSet::operator[] | ( | int | index | ) |
| inline

Definition at line 56 of file PollGroupWinSelect.hxx.

void SocketSet::RemoveLast | ( |  | ) |
| inline

Definition at line 72 of file PollGroupWinSelect.hxx.

int SocketSet::Size | ( |  | ) |
| inline

Definition at line 52 of file PollGroupWinSelect.hxx.

The documentation for this class was generated from the following file:

- event/PollGroupWinSelect.hxx